package eu.jonahbauer.wizard.common.messages.server;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class KickVotedMessage extends ServerMessage {
    /**
     * UUID of the voting player
     */
    private final UUID voter;
    /**
     * UUID of player who is supposed to be kicked
     */
    private final UUID player;
    /**
     * Time until the vote ends in {@link System#currentTimeMillis() UNIX time}
     */
    private final long timeout;
}
