package eu.jonahbauer.wizard.core.machine.states.round;

import eu.jonahbauer.wizard.core.machine.GameState;
import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.states.SyncState;

public final class StartingRound extends SyncState {

    public StartingRound(GameData data) {
        super(RoundState.requirements(data));
    }

    @Override
    protected GameState getNextState() {
        return new Dealing(getData());
    }
}
