package eu.jonahbauer.wizard.core.machine.states.round;

import eu.jonahbauer.wizard.core.machine.GameState;
import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.states.SyncState;

import static eu.jonahbauer.wizard.core.machine.states.GameData.*;

public final class TrumpDetermined extends SyncState {

    public TrumpDetermined(GameData data) {
        super(RoundState.requirements(data).requireEach(PLAYERS, HANDS).require(PREDICTIONS, TRUMP_SUIT, CURRENT_PLAYER));
    }

    @Override
    protected GameState getNextState() {
        return new Predicting(getData());
    }
}
