package eu.jonahbauer.wizard.core.machine.states.trick;

import eu.jonahbauer.wizard.core.machine.GameState;
import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.states.SyncState;
import eu.jonahbauer.wizard.core.machine.states.round.RoundState;

public final class StartingTrick extends SyncState {

    public StartingTrick(GameData data) {
        super(RoundState.requirements(TrickState.requirements(data)));
    }

    @Override
    protected GameState getNextState() {
        return new PlayingCard(getData());
    }
}
